/*********************************************/
/*                                           */
/*  File: chtmlprocs.h                       */
/*  Purpose: c2html lex and yacc procedures  */
/*                                           */
/*  Author: Sfiligoi Igor                    */
/*                                           */
/*  Created      : 25.03.1997                */
/*  Last modified: 02.04.1997                */
/*                                           */
/*********************************************/

#ifndef CHTMLPROCS_H
#define CHTMLPROCS_H

typedef struct
        {
	  char *pred;	/* before the string, char in HTML format */
	  char *mid;	/* string, in HTML format */
	  char *succ;	/* after string, in HTML format */

	  char *name;	/* string, not in HTML format */
        } STRREC;



/* allocate space and convert string to HTML read form */
/* count the new_lines using Curr_Line */
/* set the color of the comments */
char *str2htmlmem(char *str);


/* allocate space and convert string to HTML read form */
/* count the new_lines using Curr_Line */
/* set the color of the comments */
/* used when starting with a string */
void str2htmlmem_string(char *str,
			STRREC *strrec); /* OUT */


/* extract idf from source and place other in else */
/* allocate space for idf and else */
void extractidf(char *source,	/* IN */
		char **idf,	/* IN */
		char **succ);	/* OUT */

/* search for specified file in the path */
/* returns the *.chi file */
char *find_include(char *strname);

/* convert non-normalized absolute or relative dir in a normalized relative dir */
char *normalize_dir(char *absdir,		/* Path to be normalized */
		    char *targetdir);		/* Directory where the result path will be used */

#endif /* CHTMLPROCS_H */


