# include "stdio.h"
# define U(x) ((x)&0377)
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX 200
# define output(c) putc(c,yyout)
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
# define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng; extern unsigned char yytext[];
int yymorfg;
extern unsigned char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;
/*******************************************/
/*                                         */
/*  File: chtml.l                          */
/*  Purpose: c2html lex definition         */
/*                                         */
/*  Author: Sfiligoi Igor                  */
/*                                         */
/*  Created      : 30.01.1997              */
/*  Last modified: 25.03.1997              */
/*                                         */
/*******************************************/

#include <stdlib.h>
#include <string.h>

/* max token size */
#undef YYLMAX
#define YYLMAX	64*1024

/* set eventual error reporter */
#undef output
#define output(c) fprintf(stderr,"Lex line %i: char %c\n",Curr_Line,c);

#include "chtmlprocs.h"

int yywrap();
void lex_string_err( void );
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:
		{ /* can be present only at the very begining of the file */
			 if (atbegin)
				{
				 yylval.str = str2htmlmem((char *) yytext);
				 atbegin=0;
				 return l_SPACE;
				}
			 else
				REJECT;
			}
break;
case 2:

			{/* This is a string ONLY during an include */
			 if (ininclude) 
				{
				 str2htmlmem_string((char *) yytext,&(yylval.strrec));
				 return l_STRING;
				}
			 else
				REJECT;		/* Continue parsing */
			}
break;
case 3:
{
			 yylval.str = str2htmlmem((char *) yytext);
			 inprecomp=1;
			 return l_DEFINE;
			}
break;
case 4:
{
			 yylval.str = str2htmlmem((char *) yytext);
			 inprecomp=1;
			 ininclude=1;
			 return l_INCLUDE;
			}
break;
case 5:
{
			 yylval.str = str2htmlmem((char *) yytext);
			 inprecomp=1;
			 return l_PRECOMPILER;
			}
break;
case 6:
{ /* wrong space for inprecomp */
			 if (!inprecomp)
				{
				 yylval.str = str2htmlmem((char *) yytext);
				 return l_TYPEDEF;
				}
			 else
				REJECT;
			}
break;
case 7:
{ /* wrong space outside inprecomp */
			 if (inprecomp)
				{
				 yylval.str = str2htmlmem((char *) yytext);
				 return l_TYPEDEF;
				}
			 else
				REJECT;
			}
break;
case 8:
	{ /* wrong space for inprecomp */
			 if (!inprecomp)
				{
				 yylval.str = str2htmlmem((char *) yytext);
				 return l_STRUNI;
				}
			 else
				REJECT;
			}
break;
case 9:
{ /* wrong space outside inprecomp */
			 if (inprecomp)
				{
				 yylval.str = str2htmlmem((char *) yytext);
				 return l_STRUNI;
				}
			 else
				REJECT;
			}
break;
case 10:
{ /* wrong space for inprecomp */
			 if (!inprecomp)
				{
				 yylval.str = str2htmlmem((char *) yytext);
				 return l_TYPEIDF;
				}
			 else
				REJECT;
			}
break;
case 11:
{ /* wrong space outside inprecomp */
			 if (inprecomp)
				{
				 yylval.str = str2htmlmem((char *) yytext);
				 return l_TYPEIDF;
				}
			 else
				REJECT;
			}
break;
case 12:
{ /* wrong space for inprecomp */
			 if (!inprecomp)
				{
				 char *tmp;

				 extractidf((char *) yytext,&(yylval.idfstr.idf),&(tmp));
				 if (doprint)
					 fprintf(stderr,"%s'",yylval.idfstr.idf);
				 yylval.idfstr.succ = str2htmlmem(tmp);
				 free(tmp);
				 return l_IDENTIFIER;
				}
			 else
				REJECT;
			}
break;
case 13:
{ /* wrong space outside inprecomp */
			 if (inprecomp)
				{
				 char *tmp;

				 extractidf((char *) yytext,&(yylval.idfstr.idf),&(tmp));
				 if (doprint)
					 fprintf(stderr,"%s'",yylval.idfstr.idf);
				 yylval.idfstr.succ = str2htmlmem(tmp);
				 free(tmp);
				 return l_IDENTIFIER;
				}
			 else
				REJECT;
			}
break;
case 14:
{ /* wrong outside inprecomp */
				 if (inprecomp)
					{
					 char *tmp;
	
					 extractidf((char *) yytext,&(yylval.idfstr.idf),&(tmp));
					 if (doprint)
						 fprintf(stderr,"%s'",yylval.idfstr.idf);
					 yylval.idfstr.succ = str2htmlmem(tmp);
					 free(tmp);
					 return l_FUNC;
					}
				 else
					REJECT;
				}
break;
case 15:
	{ /* wrong space for inprecomp */
			 if (!inprecomp)
				{
				 str2htmlmem_string((char *) yytext, &(yylval.strrec));
				 return l_STRING;
				}
			 else
				REJECT;
			}
break;
case 16:
{ /* wrong space outside inprecomp */
			 if (inprecomp)
				{
				 str2htmlmem_string((char *) yytext, &(yylval.strrec));
				 return l_STRING;
				}
			 else
				REJECT;
			}
break;
case 17:
{ /* This is a newline only if IN precompiler */
			 if (inprecomp)
				{
				 yylval.str = str2htmlmem((char *) yytext);
				 inprecomp=0;
				 ininclude=0;  /* include is also a precomp */
				 return l_NEWLINE;
				}
			 else
				REJECT;
			}
break;
case 18:
	{ /* wrong space for inprecomp */
			 if (!inprecomp)
				{
				 yylval.str = str2htmlmem((char *) yytext);
				 return l_TPOINT;
				}
			 else
				REJECT;
			}
break;
case 19:
	{ /* wrong space outside inprecomp */
			 if (inprecomp)
				{
				 yylval.str = str2htmlmem((char *) yytext);
				 return l_TPOINT;
				}
			 else
				REJECT;
			}
break;
case 20:
{ /* wrong space for inprecomp */
			 if (!inprecomp)
				{
				 yylval.str = str2htmlmem((char *) yytext);
				 return yytext[0];
				}
			 else
				REJECT;
			}
break;
case 21:
{ /* wrong space outside inprecomp */
			 if (inprecomp)
				{
				 yylval.str = str2htmlmem((char *) yytext);
				 return yytext[0];
				}
			 else
				REJECT;
			}
break;
case 22:
	{ /* wrong space for inprecomp */
			 if (!inprecomp)
				{
				 yylval.str = str2htmlmem((char *) yytext);
				 return l_OTHER;
				}
			 else
				REJECT;
			}
break;
case 23:
{ /* wrong space outside inprecomp */
			 if (inprecomp)
				{
				 yylval.str = str2htmlmem((char *) yytext);
				 return l_OTHER;
				}
			 else
				REJECT;
			}
break;
case -1:
break;
default:
fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */

/* report lex error in string */
void lex_string_err( void )
{
 fprintf(stderr,"lex line %8i: Error in string.\n",Curr_Line);
}

/* standard lex procedure */
int yywrap()
{
 return 1;
}

#include "chtmlprocs.c"

int yyvstop[] = {
0,

1,
0,

1,
0,

22,
23,
0,

1,
22,
23,
0,

1,
17,
0,

22,
23,
0,

20,
21,
0,

22,
23,
0,

22,
23,
0,

22,
23,
0,

12,
13,
22,
23,
0,

12,
13,
22,
23,
0,

12,
13,
22,
23,
0,

12,
13,
22,
23,
0,

12,
13,
22,
23,
0,

12,
13,
22,
23,
0,

12,
13,
22,
23,
0,

12,
13,
22,
23,
0,

12,
13,
22,
23,
0,

22,
0,

1,
22,
0,

15,
16,
0,

5,
0,

5,
0,

5,
0,

20,
0,

22,
0,

2,
0,

12,
13,
22,
23,
0,

12,
22,
0,

14,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

23,
0,

15,
0,

15,
16,
0,

5,
0,

5,
0,

5,
0,

15,
16,
0,

21,
0,

18,
19,
0,

23,
0,

12,
13,
0,

12,
0,

13,
23,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

16,
0,

5,
0,

5,
0,

18,
0,

1,
0,

2,
0,

13,
0,

10,
11,
12,
13,
0,

12,
13,
0,

8,
9,
12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

5,
0,

5,
0,

19,
0,

2,
0,

10,
11,
12,
13,
0,

10,
12,
0,

8,
9,
12,
13,
0,

8,
12,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

15,
16,
0,

5,
0,

5,
0,

2,
0,

11,
13,
0,

9,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

12,
13,
0,

15,
0,

15,
16,
0,

3,
5,
0,

5,
0,

15,
16,
0,

22,
23,
0,

12,
13,
0,

6,
7,
12,
13,
0,

12,
13,
0,

12,
13,
0,

16,
0,

3,
5,
0,

4,
5,
0,

22,
0,

2,
22,
23,
0,

6,
7,
12,
13,
0,

6,
12,
0,

4,
5,
0,

2,
22,
0,

23,
0,

7,
13,
0,

15,
16,
0,

2,
23,
0,

15,
0,

15,
16,
0,

16,
0,

15,
0,

16,
0,
0};
# define YYTYPE unsigned short
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,3,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,4,	1,5,	
24,62,	36,78,	3,3,	3,22,	
2,4,	49,94,	68,115,	72,70,	
84,42,	4,4,	4,25,	88,46,	
93,140,	128,169,	174,132,	5,5,	
5,5,	0,0,	186,223,	9,9,	
9,34,	1,4,	190,226,	1,6,	
1,7,	3,3,	0,0,	2,4,	
1,8,	1,9,	2,7,	1,9,	
4,4,	11,38,	6,6,	1,10,	
1,11,	1,3,	5,5,	10,37,	
3,23,	2,10,	9,9,	6,0,	
23,61,	22,22,	22,22,	4,26,	
26,64,	1,12,	27,65,	1,3,	
35,77,	5,27,	1,13,	2,12,	
37,79,	9,35,	41,0,	25,25,	
25,25,	47,89,	60,107,	43,85,	
63,110,	67,114,	41,82,	6,28,	
22,22,	71,118,	7,3,	7,22,	
6,6,	6,6,	76,123,	6,6,	
80,129,	83,133,	86,135,	87,136,	
6,6,	6,6,	25,25,	22,60,	
92,139,	3,24,	1,14,	43,0,	
1,15,	74,120,	1,16,	17,54,	
2,14,	7,3,	2,15,	6,6,	
2,16,	25,63,	6,6,	20,58,	
15,51,	21,59,	9,36,	1,17,	
1,18,	1,19,	1,20,	1,21,	
7,23,	2,17,	2,18,	2,19,	
2,20,	2,21,	14,50,	19,57,	
31,73,	32,74,	73,119,	108,3,	
109,155,	111,4,	112,5,	33,0,	
113,157,	6,29,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
33,75,	7,24,	119,162,	120,163,	
7,30,	124,9,	7,30,	7,30,	
7,30,	7,31,	7,30,	7,30,	
7,30,	7,30,	7,32,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
8,8,	16,52,	81,0,	18,55,	
12,39,	29,0,	117,115,	125,166,	
127,168,	8,0,	81,130,	16,53,	
12,12,	12,40,	18,56,	134,0,	
137,44,	34,34,	34,34,	138,179,	
141,182,	33,33,	154,22,	134,176,	
156,25,	28,28,	28,66,	158,28,	
116,0,	29,69,	117,69,	40,40,	
40,40,	8,8,	159,201,	12,12,	
161,70,	12,0,	8,28,	8,8,	
34,34,	8,8,	12,39,	12,39,	
162,205,	12,39,	8,8,	8,8,	
28,28,	163,206,	12,41,	12,39,	
45,45,	45,45,	40,40,	34,76,	
40,0,	165,34,	13,44,	13,45,	
116,160,	8,8,	167,210,	28,67,	
8,8,	12,42,	170,38,	173,215,	
12,39,	40,81,	175,42,	66,66,	
66,66,	177,45,	178,46,	45,45,	
180,90,	181,219,	185,222,	189,225,	
199,62,	13,44,	200,66,	205,236,	
206,237,	209,78,	211,79,	29,29,	
117,29,	13,46,	45,86,	8,33,	
212,240,	213,241,	66,66,	12,43,	
13,47,	13,48,	13,48,	13,48,	
13,48,	13,48,	13,48,	13,48,	
13,48,	13,48,	13,48,	214,172,	
28,68,	66,113,	116,29,	121,0,	
218,91,	220,94,	13,48,	13,48,	
13,48,	13,48,	13,48,	13,48,	
13,48,	13,48,	13,48,	13,48,	
13,48,	13,48,	13,48,	13,48,	
13,48,	13,48,	13,48,	13,48,	
13,48,	13,48,	13,48,	13,48,	
13,48,	13,48,	13,48,	13,48,	
204,235,	13,49,	203,69,	121,164,	
13,48,	122,115,	13,48,	13,48,	
13,48,	13,48,	13,48,	13,48,	
13,48,	13,48,	13,48,	13,48,	
13,48,	13,48,	13,48,	13,48,	
13,48,	13,48,	13,48,	13,48,	
13,48,	13,48,	13,48,	13,48,	
13,48,	13,48,	13,48,	13,48,	
30,70,	221,248,	122,75,	224,251,	
231,115,	233,259,	234,260,	237,266,	
239,126,	242,242,	243,273,	91,91,	
91,91,	126,126,	126,126,	203,204,	
245,276,	246,217,	247,140,	249,183,	
250,278,	121,33,	252,187,	30,70,	
253,280,	258,285,	204,204,	259,202,	
264,288,	265,263,	269,169,	270,270,	
261,287,	271,293,	91,91,	274,297,	
126,126,	275,298,	30,71,	30,30,	
30,30,	30,30,	30,30,	30,30,	
30,30,	30,30,	30,30,	30,30,	
30,30,	91,138,	277,184,	126,167,	
279,188,	283,304,	284,305,	122,33,	
30,30,	30,30,	30,30,	30,30,	
30,30,	30,30,	30,30,	30,30,	
30,30,	30,30,	30,30,	30,30,	
30,30,	30,30,	30,30,	30,30,	
30,30,	30,30,	30,30,	30,30,	
30,30,	30,30,	30,30,	30,30,	
30,30,	30,30,	261,204,	30,72,	
285,306,	286,307,	30,30,	287,235,	
30,30,	30,30,	30,30,	30,30,	
30,30,	30,30,	30,30,	30,30,	
30,30,	30,30,	30,30,	30,30,	
30,30,	30,30,	30,30,	30,30,	
30,30,	30,30,	30,30,	30,30,	
30,30,	30,30,	30,30,	30,30,	
30,30,	30,30,	38,38,	290,309,	
42,42,	291,289,	39,39,	294,311,	
44,44,	44,45,	295,242,	38,38,	
296,312,	46,46,	297,132,	39,39,	
299,299,	300,312,	301,223,	302,226,	
287,204,	303,314,	307,320,	308,263,	
310,270,	311,172,	313,323,	42,42,	
315,281,	316,325,	318,327,	44,44,	
319,328,	48,90,	48,91,	38,38,	
46,46,	50,90,	50,91,	39,0,	
38,38,	38,38,	42,83,	38,80,	
39,39,	39,39,	44,47,	39,39,	
38,38,	38,38,	321,289,	46,87,	
39,39,	39,39,	51,90,	51,91,	
48,90,	52,90,	52,91,	322,299,	
50,90,	292,114,	323,217,	38,38,	
324,282,	326,333,	38,38,	39,42,	
327,232,	262,260,	39,39,	48,92,	
330,336,	331,337,	332,305,	50,92,	
62,62,	51,90,	333,317,	334,338,	
52,90,	53,90,	53,91,	54,90,	
54,91,	55,90,	55,91,	42,84,	
56,90,	56,91,	292,202,	44,49,	
51,92,	262,235,	335,339,	52,92,	
46,88,	336,260,	292,238,	62,62,	
338,329,	57,90,	57,91,	339,328,	
53,90,	340,341,	54,90,	341,337,	
55,90,	58,90,	58,91,	56,90,	
59,90,	59,91,	62,109,	70,70,	
48,93,	0,0,	0,0,	53,92,	
50,93,	54,92,	0,0,	55,92,	
57,90,	0,0,	56,92,	0,0,	
0,0,	69,69,	69,66,	78,78,	
58,90,	0,0,	94,94,	59,90,	
0,0,	51,93,	70,70,	57,92,	
52,93,	0,0,	0,0,	292,208,	
50,95,	0,0,	0,0,	58,92,	
0,0,	0,0,	59,92,	262,204,	
69,69,	70,71,	78,78,	51,96,	
0,0,	94,94,	0,0,	62,24,	
0,0,	61,61,	0,0,	0,0,	
53,93,	52,97,	54,93,	69,116,	
55,93,	78,125,	61,61,	56,93,	
94,141,	0,0,	0,0,	0,0,	
56,101,	54,99,	0,0,	55,100,	
64,64,	0,0,	0,0,	0,0,	
57,93,	0,0,	75,75,	75,66,	
53,98,	64,64,	0,0,	0,0,	
58,93,	56,102,	61,61,	59,93,	
0,0,	0,0,	70,72,	61,61,	
61,61,	65,65,	61,108,	0,0,	
57,103,	58,104,	0,0,	61,61,	
61,61,	75,75,	65,65,	59,106,	
69,117,	64,64,	78,36,	58,105,	
0,0,	94,49,	64,64,	64,64,	
77,77,	64,111,	61,61,	0,0,	
75,121,	61,61,	64,64,	64,64,	
0,0,	77,77,	0,0,	0,0,	
79,79,	79,126,	65,65,	0,0,	
82,82,	0,0,	0,0,	65,65,	
65,65,	64,64,	65,112,	0,0,	
64,64,	82,82,	0,0,	65,65,	
65,65,	129,129,	129,129,	0,0,	
0,0,	77,77,	0,0,	79,79,	
90,90,	90,91,	77,77,	77,77,	
0,0,	77,124,	65,65,	85,85,	
0,0,	65,65,	77,77,	77,77,	
0,0,	75,122,	79,127,	89,89,	
129,129,	0,0,	82,82,	82,82,	
0,0,	82,131,	0,0,	90,90,	
89,89,	77,77,	82,82,	82,82,	
77,77,	0,0,	85,85,	129,170,	
85,0,	0,0,	95,90,	95,91,	
0,0,	0,0,	90,92,	0,0,	
0,0,	82,132,	96,90,	96,91,	
82,82,	85,134,	97,90,	97,91,	
89,89,	0,0,	98,90,	98,91,	
0,0,	89,89,	89,89,	0,0,	
89,137,	95,90,	0,0,	79,128,	
0,0,	89,89,	89,89,	0,0,	
0,0,	96,90,	99,90,	99,91,	
0,0,	97,90,	100,90,	100,91,	
95,92,	98,90,	101,90,	101,91,	
89,89,	102,90,	102,91,	89,89,	
96,92,	0,0,	0,0,	90,93,	
97,92,	0,0,	103,90,	103,91,	
98,92,	99,90,	85,43,	0,0,	
0,0,	100,90,	0,0,	0,0,	
0,0,	101,90,	0,0,	0,0,	
102,90,	0,0,	0,0,	0,0,	
99,92,	104,90,	104,91,	115,115,	
100,92,	103,90,	0,0,	0,0,	
101,92,	0,0,	0,0,	102,92,	
132,132,	95,93,	105,90,	105,91,	
0,0,	106,90,	106,91,	0,0,	
103,92,	96,93,	0,0,	0,0,	
104,90,	97,93,	115,115,	0,0,	
140,140,	98,93,	0,0,	0,0,	
95,142,	0,0,	0,0,	132,132,	
0,0,	105,90,	98,145,	104,92,	
106,90,	115,159,	97,144,	0,0,	
96,143,	99,93,	0,0,	0,0,	
0,0,	100,93,	132,173,	140,140,	
105,92,	101,93,	0,0,	106,92,	
102,93,	0,0,	99,146,	0,0,	
107,107,	0,0,	0,0,	0,0,	
0,0,	103,93,	140,181,	100,147,	
0,0,	107,107,	0,0,	0,0,	
0,0,	0,0,	103,150,	0,0,	
110,110,	101,148,	0,0,	0,0,	
0,0,	102,149,	0,0,	0,0,	
104,93,	110,110,	115,68,	114,114,	
0,0,	0,0,	0,0,	0,0,	
0,0,	107,107,	0,0,	132,174,	
114,114,	105,93,	107,107,	107,107,	
106,93,	107,154,	0,0,	104,151,	
0,0,	106,153,	107,107,	107,107,	
0,0,	110,110,	105,152,	140,93,	
184,184,	184,184,	110,110,	110,110,	
0,0,	110,156,	188,188,	188,188,	
114,114,	107,107,	110,110,	110,110,	
107,107,	114,114,	114,114,	118,118,	
114,158,	142,183,	142,184,	0,0,	
0,0,	114,114,	114,114,	184,184,	
118,118,	110,110,	123,123,	0,0,	
110,110,	188,188,	0,0,	0,0,	
0,0,	0,0,	0,0,	123,123,	
114,114,	0,0,	184,221,	114,114,	
142,183,	0,0,	130,130,	0,0,	
188,224,	0,0,	232,232,	232,232,	
118,118,	0,0,	0,0,	130,130,	
0,0,	118,118,	118,118,	142,185,	
118,161,	0,0,	0,0,	123,123,	
0,0,	118,118,	118,118,	0,0,	
123,123,	123,123,	131,82,	123,165,	
0,0,	232,232,	0,0,	0,0,	
123,123,	123,123,	0,0,	131,82,	
118,118,	133,133,	0,0,	118,118,	
130,130,	130,130,	0,0,	130,171,	
232,258,	0,0,	133,133,	123,123,	
130,130,	130,130,	123,123,	0,0,	
0,0,	135,135,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
142,186,	0,0,	135,135,	130,172,	
131,82,	131,82,	130,130,	131,131,	
0,0,	0,0,	133,133,	0,0,	
131,12,	131,82,	0,0,	133,133,	
133,133,	0,0,	133,175,	0,0,	
136,136,	0,0,	0,0,	133,133,	
133,133,	0,0,	135,135,	131,132,	
0,0,	136,136,	131,82,	135,135,	
135,135,	0,0,	135,177,	0,0,	
139,139,	0,0,	133,133,	135,135,	
135,135,	133,133,	143,90,	143,91,	
0,0,	139,139,	0,0,	144,187,	
144,188,	145,90,	145,91,	0,0,	
0,0,	136,136,	135,135,	146,90,	
146,91,	135,135,	136,136,	136,136,	
0,0,	136,178,	0,0,	147,90,	
147,91,	143,90,	136,136,	136,136,	
0,0,	139,139,	144,187,	0,0,	
145,90,	0,0,	139,139,	139,139,	
164,164,	139,180,	146,90,	0,0,	
143,92,	136,136,	139,139,	139,139,	
136,136,	144,189,	147,90,	145,92,	
148,90,	148,91,	149,90,	149,91,	
0,0,	146,92,	0,0,	150,90,	
150,91,	139,139,	151,90,	151,91,	
139,139,	147,92,	0,0,	0,0,	
152,90,	152,91,	153,90,	153,91,	
0,0,	164,164,	0,0,	148,90,	
169,169,	149,90,	164,202,	164,164,	
0,0,	164,207,	150,90,	0,0,	
172,172,	151,90,	164,164,	164,164,	
0,0,	143,93,	148,92,	152,90,	
149,92,	153,90,	144,190,	0,0,	
145,93,	150,92,	0,0,	169,169,	
151,92,	164,164,	146,93,	0,0,	
164,164,	0,0,	152,92,	172,172,	
153,92,	217,217,	147,93,	183,183,	
183,184,	143,142,	169,212,	0,0,	
187,187,	187,188,	145,191,	147,193,	
0,0,	0,0,	172,213,	194,90,	
194,91,	146,192,	0,0,	155,155,	
0,0,	0,0,	0,0,	164,208,	
217,217,	0,0,	183,183,	148,93,	
155,155,	149,93,	0,0,	187,187,	
0,0,	0,0,	150,93,	157,157,	
149,195,	151,93,	194,90,	217,245,	
148,194,	183,185,	150,196,	152,93,	
157,157,	153,93,	187,189,	272,272,	
272,272,	0,0,	0,0,	169,128,	
155,155,	194,92,	152,197,	151,144,	
0,0,	155,155,	155,155,	172,214,	
155,199,	0,0,	160,160,	0,0,	
0,0,	155,155,	155,155,	0,0,	
157,157,	153,198,	272,272,	160,114,	
0,0,	157,157,	157,157,	0,0,	
157,200,	0,0,	166,166,	0,0,	
155,155,	157,157,	157,157,	155,155,	
217,246,	272,294,	183,186,	166,166,	
0,0,	191,90,	191,91,	187,190,	
0,0,	0,0,	0,0,	160,202,	
157,157,	168,168,	194,93,	157,157,	
160,160,	160,160,	0,0,	160,203,	
0,0,	194,142,	168,168,	0,0,	
160,160,	160,160,	0,0,	166,166,	
191,90,	171,130,	0,0,	0,0,	
166,166,	166,166,	0,0,	166,209,	
0,0,	0,0,	171,130,	160,160,	
166,166,	166,166,	160,160,	191,92,	
0,0,	0,0,	168,168,	0,0,	
176,176,	0,0,	0,0,	168,168,	
168,168,	0,0,	168,211,	166,166,	
0,0,	176,176,	166,166,	168,168,	
168,168,	0,0,	192,90,	192,91,	
179,179,	0,0,	0,0,	171,130,	
171,130,	160,204,	171,171,	0,0,	
0,0,	179,179,	168,168,	171,40,	
171,130,	168,168,	0,0,	0,0,	
0,0,	193,90,	193,91,	182,182,	
0,0,	192,90,	176,176,	176,176,	
191,93,	176,216,	171,172,	0,0,	
182,182,	171,130,	176,176,	176,176,	
0,0,	179,179,	0,0,	0,0,	
192,92,	0,0,	179,179,	179,179,	
193,90,	179,218,	191,142,	0,0,	
0,0,	176,217,	179,179,	179,179,	
176,176,	195,90,	195,91,	0,0,	
182,182,	196,90,	196,91,	193,92,	
0,0,	182,182,	182,182,	0,0,	
182,220,	179,179,	0,0,	0,0,	
179,179,	182,182,	182,182,	0,0,	
0,0,	197,90,	197,91,	0,0,	
195,90,	201,201,	0,0,	223,223,	
196,90,	0,0,	198,90,	198,91,	
182,182,	192,93,	201,201,	182,182,	
0,0,	0,0,	226,226,	195,92,	
0,0,	0,0,	0,0,	196,92,	
197,90,	0,0,	0,0,	202,202,	
202,232,	0,0,	223,223,	0,0,	
193,93,	198,90,	207,164,	0,0,	
0,0,	192,227,	201,201,	197,92,	
193,142,	226,226,	0,0,	201,201,	
201,201,	223,250,	201,231,	0,0,	
198,92,	0,0,	202,202,	201,201,	
201,201,	208,164,	0,0,	0,0,	
226,253,	0,0,	0,0,	282,282,	
282,282,	0,0,	0,0,	0,0,	
195,93,	202,233,	201,201,	207,164,	
196,93,	201,201,	0,0,	0,0,	
207,202,	207,164,	210,210,	207,207,	
0,0,	196,228,	0,0,	0,0,	
207,75,	207,164,	282,282,	210,210,	
197,93,	0,0,	208,164,	0,0,	
195,144,	0,0,	223,186,	208,238,	
208,164,	198,93,	208,207,	207,164,	
0,0,	282,303,	207,164,	208,164,	
208,164,	226,190,	197,229,	227,90,	
227,91,	0,0,	198,230,	210,210,	
0,0,	215,242,	202,234,	0,0,	
210,210,	210,210,	208,164,	210,239,	
0,0,	208,164,	215,242,	216,176,	
210,210,	210,210,	0,0,	228,90,	
228,91,	207,208,	227,90,	0,0,	
216,176,	0,0,	219,219,	0,0,	
0,0,	0,0,	0,0,	210,210,	
0,0,	0,0,	210,210,	219,219,	
0,0,	227,92,	215,242,	0,0,	
208,208,	0,0,	228,90,	215,242,	
215,242,	0,0,	215,243,	229,90,	
229,91,	0,0,	0,0,	215,244,	
215,242,	216,176,	216,176,	0,0,	
216,216,	228,92,	0,0,	219,219,	
0,0,	216,85,	216,176,	0,0,	
219,219,	219,219,	215,242,	219,247,	
222,222,	215,242,	229,90,	0,0,	
219,219,	219,219,	0,0,	0,0,	
216,217,	222,222,	0,0,	216,176,	
225,225,	0,0,	227,93,	0,0,	
0,0,	229,92,	0,0,	219,219,	
0,0,	225,225,	219,219,	227,254,	
0,0,	230,90,	230,91,	0,0,	
0,0,	235,235,	235,232,	236,263,	
0,0,	222,222,	228,93,	0,0,	
0,0,	0,0,	222,222,	222,222,	
0,0,	222,249,	0,0,	0,0,	
228,255,	225,225,	222,222,	222,222,	
230,90,	0,0,	225,225,	225,225,	
235,235,	225,252,	236,263,	0,0,	
0,0,	238,164,	225,225,	225,225,	
0,0,	222,222,	229,93,	230,92,	
222,222,	238,238,	238,232,	235,261,	
0,0,	236,264,	0,0,	229,256,	
0,0,	225,225,	0,0,	0,0,	
225,225,	244,244,	244,272,	254,90,	
254,91,	0,0,	0,0,	0,0,	
255,281,	255,282,	0,0,	0,0,	
238,238,	0,0,	238,164,	0,0,	
240,240,	0,0,	0,0,	238,202,	
238,164,	0,0,	238,207,	0,0,	
244,244,	240,240,	254,90,	238,267,	
238,164,	0,0,	0,0,	255,281,	
230,93,	0,0,	0,0,	241,270,	
235,262,	0,0,	236,265,	244,274,	
0,0,	254,92,	238,164,	0,0,	
241,270,	238,164,	255,283,	0,0,	
230,257,	240,240,	0,0,	0,0,	
256,90,	256,91,	240,240,	240,240,	
248,248,	240,269,	0,0,	0,0,	
0,0,	0,0,	240,240,	240,240,	
0,0,	248,248,	0,0,	0,0,	
241,270,	0,0,	0,0,	0,0,	
238,268,	241,270,	241,270,	256,90,	
241,271,	240,240,	0,0,	0,0,	
240,240,	241,272,	241,270,	251,251,	
244,275,	0,0,	254,93,	257,90,	
257,91,	248,248,	256,92,	255,284,	
251,251,	0,0,	248,248,	248,248,	
241,270,	248,277,	0,0,	241,270,	
260,260,	0,0,	248,248,	248,248,	
263,263,	0,0,	0,0,	267,164,	
254,142,	0,0,	257,90,	266,289,	
0,0,	273,273,	0,0,	0,0,	
251,251,	248,248,	281,281,	281,282,	
248,248,	251,251,	251,251,	260,260,	
251,279,	257,92,	0,0,	263,263,	
268,164,	251,251,	251,251,	0,0,	
0,0,	0,0,	266,289,	256,93,	
273,273,	268,260,	260,286,	0,0,	
267,164,	281,281,	263,264,	256,142,	
251,251,	267,202,	267,164,	251,251,	
267,292,	266,290,	0,0,	273,295,	
0,0,	267,164,	267,164,	289,289,	
281,283,	317,317,	317,317,	0,0,	
0,0,	268,164,	0,0,	0,0,	
276,299,	0,0,	268,238,	268,164,	
267,164,	268,207,	257,93,	267,164,	
0,0,	276,299,	268,164,	268,164,	
278,278,	0,0,	289,289,	257,142,	
317,317,	0,0,	0,0,	260,234,	
0,0,	278,278,	0,0,	263,265,	
0,0,	268,164,	0,0,	0,0,	
268,164,	289,290,	266,291,	317,326,	
273,296,	276,299,	267,208,	0,0,	
0,0,	281,284,	276,299,	276,299,	
293,293,	276,300,	298,298,	0,0,	
305,305,	278,278,	276,298,	276,299,	
280,280,	0,0,	278,278,	278,278,	
0,0,	278,301,	0,0,	268,208,	
0,0,	280,280,	278,278,	278,278,	
288,288,	276,299,	312,312,	293,293,	
276,299,	298,298,	0,0,	305,305,	
0,0,	288,288,	0,0,	0,0,	
0,0,	278,278,	289,291,	0,0,	
278,278,	0,0,	293,310,	0,0,	
298,313,	280,280,	305,316,	0,0,	
0,0,	312,312,	280,280,	280,280,	
0,0,	280,302,	306,306,	306,317,	
328,328,	288,288,	280,280,	280,280,	
304,304,	0,0,	288,288,	288,288,	
312,322,	288,308,	0,0,	0,0,	
0,0,	304,304,	288,288,	288,288,	
309,309,	280,280,	320,320,	320,329,	
280,280,	306,306,	0,0,	328,328,	
0,0,	309,309,	0,0,	0,0,	
0,0,	288,288,	0,0,	293,84,	
288,288,	298,275,	0,0,	305,284,	
306,318,	304,304,	328,334,	0,0,	
0,0,	320,320,	304,304,	304,304,	
337,337,	304,315,	329,329,	329,329,	
0,0,	309,309,	304,304,	304,304,	
314,314,	312,296,	309,309,	309,309,	
320,330,	309,321,	0,0,	0,0,	
0,0,	314,314,	309,309,	309,309,	
325,325,	304,304,	0,0,	337,337,	
304,304,	329,329,	0,0,	0,0,	
0,0,	325,325,	0,0,	0,0,	
0,0,	309,309,	0,0,	0,0,	
309,309,	306,319,	337,340,	328,319,	
329,335,	314,314,	0,0,	0,0,	
0,0,	0,0,	314,314,	314,314,	
0,0,	314,324,	0,0,	0,0,	
0,0,	325,325,	314,314,	314,314,	
0,0,	320,331,	325,325,	325,325,	
0,0,	325,332,	0,0,	0,0,	
0,0,	0,0,	325,325,	325,325,	
0,0,	314,314,	0,0,	0,0,	
314,314,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	325,325,	0,0,	337,331,	
325,325,	0,0,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		yyvstop+1,
yycrank+-7,	yysvec+1,	yyvstop+3,
yycrank+5,	0,		yyvstop+5,
yycrank+12,	yysvec+3,	yyvstop+8,
yycrank+18,	0,		yyvstop+12,
yycrank+-45,	0,		0,	
yycrank+73,	0,		yyvstop+15,
yycrank+-195,	0,		0,	
yycrank+22,	0,		yyvstop+18,
yycrank+5,	yysvec+3,	yyvstop+21,
yycrank+3,	yysvec+3,	yyvstop+24,
yycrank+-199,	0,		yyvstop+27,
yycrank+245,	0,		yyvstop+30,
yycrank+9,	yysvec+13,	yyvstop+35,
yycrank+1,	yysvec+13,	yyvstop+40,
yycrank+87,	yysvec+13,	yyvstop+45,
yycrank+2,	yysvec+13,	yyvstop+50,
yycrank+94,	yysvec+13,	yyvstop+55,
yycrank+6,	yysvec+13,	yyvstop+60,
yycrank+1,	yysvec+13,	yyvstop+65,
yycrank+2,	yysvec+13,	yyvstop+70,
yycrank+48,	0,		yyvstop+75,
yycrank+14,	0,		0,	
yycrank+2,	0,		0,	
yycrank+62,	0,		yyvstop+77,
yycrank+18,	0,		0,	
yycrank+20,	0,		0,	
yycrank+212,	0,		yyvstop+80,
yycrank+-191,	yysvec+6,	0,	
yycrank+359,	0,		yyvstop+83,
yycrank+27,	yysvec+30,	yyvstop+85,
yycrank+19,	yysvec+30,	yyvstop+87,
yycrank+-125,	yysvec+8,	0,	
yycrank+204,	0,		yyvstop+89,
yycrank+22,	0,		0,	
yycrank+3,	0,		0,	
yycrank+22,	0,		0,	
yycrank+-481,	0,		0,	
yycrank+-485,	0,		0,	
yycrank+-218,	yysvec+39,	yyvstop+91,
yycrank+-36,	yysvec+39,	0,	
yycrank+475,	0,		yyvstop+93,
yycrank+-65,	yysvec+39,	0,	
yycrank+479,	0,		yyvstop+95,
yycrank+239,	0,		yyvstop+100,
yycrank+484,	0,		yyvstop+103,
yycrank+31,	0,		0,	
yycrank+504,	yysvec+13,	yyvstop+105,
yycrank+7,	0,		0,	
yycrank+508,	yysvec+13,	yyvstop+108,
yycrank+525,	yysvec+13,	yyvstop+111,
yycrank+528,	yysvec+13,	yyvstop+114,
yycrank+552,	yysvec+13,	yyvstop+117,
yycrank+554,	yysvec+13,	yyvstop+120,
yycrank+556,	yysvec+13,	yyvstop+123,
yycrank+559,	yysvec+13,	yyvstop+126,
yycrank+572,	yysvec+13,	yyvstop+129,
yycrank+580,	yysvec+13,	yyvstop+132,
yycrank+583,	yysvec+13,	yyvstop+135,
yycrank+32,	0,		0,	
yycrank+-640,	0,		0,	
yycrank+547,	0,		yyvstop+138,
yycrank+34,	0,		0,	
yycrank+-659,	0,		0,	
yycrank+-680,	0,		0,	
yycrank+258,	0,		yyvstop+140,
yycrank+35,	0,		0,	
yycrank+8,	0,		0,	
yycrank+-600,	yysvec+6,	yyvstop+142,
yycrank+586,	0,		yyvstop+145,
yycrank+39,	0,		0,	
yycrank+9,	0,		0,	
yycrank+28,	yysvec+30,	yyvstop+147,
yycrank+2,	yysvec+30,	yyvstop+149,
yycrank+-657,	yysvec+8,	yyvstop+151,
yycrank+44,	0,		0,	
yycrank+-699,	0,		0,	
yycrank+602,	0,		yyvstop+154,
yycrank+703,	0,		yyvstop+156,
yycrank+-41,	yysvec+38,	0,	
yycrank+-164,	yysvec+39,	0,	
yycrank+-715,	yysvec+61,	0,	
yycrank+47,	0,		0,	
yycrank+10,	0,		0,	
yycrank+-734,	yysvec+39,	yyvstop+159,
yycrank+48,	0,		0,	
yycrank+49,	0,		0,	
yycrank+13,	0,		0,	
yycrank+-750,	0,		0,	
yycrank+727,	0,		yyvstop+161,
yycrank+370,	0,		yyvstop+164,
yycrank+54,	0,		0,	
yycrank+14,	0,		0,	
yycrank+605,	0,		yyvstop+166,
yycrank+761,	yysvec+13,	yyvstop+169,
yycrank+769,	yysvec+13,	yyvstop+172,
yycrank+773,	yysvec+13,	yyvstop+175,
yycrank+777,	yysvec+13,	yyvstop+178,
yycrank+793,	yysvec+13,	yyvstop+181,
yycrank+797,	yysvec+13,	yyvstop+184,
yycrank+801,	yysvec+13,	yyvstop+187,
yycrank+804,	yysvec+13,	yyvstop+190,
yycrank+813,	yysvec+13,	yyvstop+193,
yycrank+832,	yysvec+13,	yyvstop+196,
yycrank+845,	yysvec+13,	yyvstop+199,
yycrank+848,	yysvec+13,	yyvstop+202,
yycrank+-899,	0,		0,	
yycrank+-84,	yysvec+61,	0,	
yycrank+90,	0,		0,	
yycrank+-915,	0,		0,	
yycrank+-86,	yysvec+64,	0,	
yycrank+-87,	yysvec+65,	0,	
yycrank+94,	0,		0,	
yycrank+-926,	0,		0,	
yycrank+834,	0,		yyvstop+205,
yycrank+-214,	yysvec+6,	0,	
yycrank+-192,	yysvec+6,	0,	
yycrank+-966,	0,		0,	
yycrank+61,	yysvec+30,	yyvstop+207,
yycrank+59,	yysvec+30,	yyvstop+209,
yycrank+-297,	yysvec+8,	0,	
yycrank+-331,	yysvec+8,	0,	
yycrank+-977,	0,		0,	
yycrank+-122,	yysvec+77,	0,	
yycrank+161,	0,		0,	
yycrank+372,	0,		yyvstop+211,
yycrank+162,	0,		0,	
yycrank+15,	0,		0,	
yycrank+720,	0,		yyvstop+213,
yycrank+-993,	yysvec+107,	0,	
yycrank+-1017,	yysvec+61,	0,	
yycrank+-843,	yysvec+61,	yyvstop+215,
yycrank+-1028,	0,		0,	
yycrank+-177,	yysvec+39,	0,	
yycrank+-1044,	0,		0,	
yycrank+-1071,	0,		0,	
yycrank+-165,	yysvec+89,	0,	
yycrank+173,	0,		0,	
yycrank+-1087,	0,		0,	
yycrank+859,	0,		yyvstop+217,
yycrank+174,	0,		0,	
yycrank+960,	yysvec+13,	yyvstop+219,
yycrank+1085,	yysvec+13,	yyvstop+224,
yycrank+1090,	yysvec+13,	yyvstop+227,
yycrank+1092,	yysvec+13,	yyvstop+232,
yycrank+1098,	yysvec+13,	yyvstop+235,
yycrank+1106,	yysvec+13,	yyvstop+238,
yycrank+1131,	yysvec+13,	yyvstop+241,
yycrank+1133,	yysvec+13,	yyvstop+244,
yycrank+1138,	yysvec+13,	yyvstop+247,
yycrank+1141,	yysvec+13,	yyvstop+250,
yycrank+1147,	yysvec+13,	yyvstop+253,
yycrank+1149,	yysvec+13,	yyvstop+256,
yycrank+-171,	yysvec+107,	0,	
yycrank+-1214,	0,		0,	
yycrank+-173,	yysvec+110,	0,	
yycrank+-1230,	0,		0,	
yycrank+-176,	yysvec+114,	0,	
yycrank+188,	0,		0,	
yycrank+-1257,	0,		0,	
yycrank+-185,	yysvec+118,	0,	
yycrank+130,	yysvec+30,	yyvstop+259,
yycrank+128,	yysvec+30,	yyvstop+261,
yycrank+-1127,	yysvec+160,	0,	
yycrank+-206,	yysvec+123,	0,	
yycrank+-1273,	0,		0,	
yycrank+216,	0,		0,	
yycrank+-1292,	0,		0,	
yycrank+1155,	0,		yyvstop+263,
yycrank+220,	0,		0,	
yycrank+-1308,	yysvec+107,	0,	
yycrank+-1163,	yysvec+107,	yyvstop+265,
yycrank+-221,	yysvec+61,	0,	
yycrank+-16,	yysvec+61,	0,	
yycrank+-219,	yysvec+133,	0,	
yycrank+-1327,	yysvec+155,	0,	
yycrank+-222,	yysvec+135,	0,	
yycrank+-223,	yysvec+136,	0,	
yycrank+-1343,	0,		0,	
yycrank+-225,	yysvec+139,	0,	
yycrank+231,	0,		0,	
yycrank+-1362,	0,		0,	
yycrank+1190,	0,		yyvstop+267,
yycrank+943,	0,		yyvstop+272,
yycrank+232,	0,		0,	
yycrank+20,	0,		0,	
yycrank+1195,	0,		yyvstop+275,
yycrank+949,	0,		yyvstop+280,
yycrank+233,	0,		0,	
yycrank+24,	0,		0,	
yycrank+1276,	yysvec+13,	yyvstop+283,
yycrank+1333,	yysvec+13,	yyvstop+286,
yycrank+1352,	yysvec+13,	yyvstop+289,
yycrank+1202,	yysvec+13,	yyvstop+292,
yycrank+1384,	yysvec+13,	yyvstop+295,
yycrank+1388,	yysvec+13,	yyvstop+298,
yycrank+1404,	yysvec+13,	yyvstop+301,
yycrank+1413,	yysvec+13,	yyvstop+304,
yycrank+-229,	yysvec+155,	0,	
yycrank+-231,	yysvec+157,	0,	
yycrank+-1416,	0,		0,	
yycrank+-1430,	yysvec+114,	yyvstop+307,
yycrank+-291,	yysvec+160,	0,	
yycrank+-302,	yysvec+160,	0,	
yycrank+178,	yysvec+30,	yyvstop+310,
yycrank+180,	yysvec+30,	yyvstop+312,
yycrank+-1445,	yysvec+160,	0,	
yycrank+-1464,	yysvec+160,	0,	
yycrank+-234,	yysvec+166,	0,	
yycrank+-1485,	0,		0,	
yycrank+-235,	yysvec+168,	0,	
yycrank+246,	0,		0,	
yycrank+-247,	yysvec+107,	0,	
yycrank+-293,	yysvec+107,	0,	
yycrank+-1520,	0,		0,	
yycrank+-1530,	yysvec+155,	0,	
yycrank+-1188,	yysvec+155,	yyvstop+314,
yycrank+-261,	yysvec+179,	0,	
yycrank+-1541,	0,		0,	
yycrank+-262,	yysvec+182,	0,	
yycrank+327,	0,		0,	
yycrank+-1583,	0,		0,	
yycrank+1410,	0,		yyvstop+316,
yycrank+329,	0,		0,	
yycrank+-1595,	0,		0,	
yycrank+1421,	0,		yyvstop+319,
yycrank+1506,	yysvec+13,	yyvstop+322,
yycrank+1526,	yysvec+13,	yyvstop+325,
yycrank+1554,	yysvec+13,	yyvstop+328,
yycrank+1600,	yysvec+13,	yyvstop+331,
yycrank+-325,	yysvec+201,	0,	
yycrank+-989,	yysvec+114,	yyvstop+334,
yycrank+-331,	yysvec+114,	0,	
yycrank+-364,	yysvec+114,	0,	
yycrank+-1604,	yysvec+160,	yyvstop+336,
yycrank+1606,	yysvec+30,	yyvstop+339,
yycrank+274,	yysvec+30,	yyvstop+342,
yycrank+-1640,	0,		yyvstop+344,
yycrank+-329,	yysvec+210,	0,	
yycrank+-1675,	0,		0,	
yycrank+-1694,	0,		0,	
yycrank+-330,	yysvec+215,	0,	
yycrank+-331,	yysvec+215,	0,	
yycrank+-1652,	yysvec+133,	yyvstop+347,
yycrank+-342,	yysvec+155,	0,	
yycrank+-375,	yysvec+155,	0,	
yycrank+-339,	yysvec+219,	0,	
yycrank+-1715,	0,		0,	
yycrank+-340,	yysvec+222,	0,	
yycrank+346,	0,		0,	
yycrank+-1742,	0,		0,	
yycrank+-343,	yysvec+225,	0,	
yycrank+350,	0,		0,	
yycrank+1654,	yysvec+13,	yyvstop+350,
yycrank+1659,	yysvec+13,	yyvstop+353,
yycrank+1703,	yysvec+13,	yyvstop+358,
yycrank+1738,	yysvec+13,	yyvstop+361,
yycrank+-351,	yysvec+114,	0,	
yycrank+-348,	yysvec+114,	0,	
yycrank+-1751,	yysvec+114,	yyvstop+364,
yycrank+-358,	yysvec+160,	0,	
yycrank+-539,	yysvec+160,	0,	
yycrank+1755,	0,		yyvstop+366,
yycrank+354,	0,		0,	
yycrank+387,	0,		0,	
yycrank+1762,	yysvec+30,	yyvstop+369,
yycrank+-1766,	yysvec+160,	0,	
yycrank+-1787,	0,		0,	
yycrank+-351,	yysvec+240,	0,	
yycrank+-352,	yysvec+241,	0,	
yycrank+-354,	yysvec+241,	0,	
yycrank+-1234,	yysvec+133,	yyvstop+372,
yycrank+1764,	yysvec+3,	yyvstop+374,
yycrank+-361,	yysvec+133,	0,	
yycrank+-395,	yysvec+133,	0,	
yycrank+-1823,	0,		0,	
yycrank+-371,	yysvec+248,	0,	
yycrank+-1835,	0,		0,	
yycrank+-373,	yysvec+251,	0,	
yycrank+-1871,	0,		0,	
yycrank+1769,	0,		yyvstop+378,
yycrank+1462,	0,		yyvstop+383,
yycrank+379,	0,		0,	
yycrank+412,	0,		0,	
yycrank+-405,	yysvec+114,	0,	
yycrank+-411,	yysvec+114,	0,	
yycrank+-408,	yysvec+160,	0,	
yycrank+-1883,	0,		0,	
yycrank+1806,	0,		yyvstop+386,
yycrank+441,	0,		0,	
yycrank+475,	0,		0,	
yycrank+-531,	yysvec+268,	0,	
yycrank+1855,	yysvec+3,	yyvstop+389,
yycrank+-445,	yysvec+133,	0,	
yycrank+448,	0,		0,	
yycrank+482,	0,		0,	
yycrank+-447,	yysvec+215,	0,	
yycrank+-1857,	yysvec+133,	yyvstop+392,
yycrank+-449,	yysvec+276,	0,	
yycrank+-450,	yysvec+276,	0,	
yycrank+-451,	yysvec+278,	0,	
yycrank+-452,	yysvec+280,	0,	
yycrank+459,	0,		0,	
yycrank+-1919,	0,		0,	
yycrank+1859,	0,		yyvstop+394,
yycrank+-1905,	yysvec+157,	yyvstop+397,
yycrank+-455,	yysvec+114,	0,	
yycrank+-456,	yysvec+288,	0,	
yycrank+-1931,	0,		0,	
yycrank+462,	0,		0,	
yycrank+-458,	yysvec+241,	0,	
yycrank+1877,	0,		yyvstop+400,
yycrank+-464,	yysvec+133,	0,	
yycrank+-1967,	0,		0,	
yycrank+-461,	yysvec+304,	0,	
yycrank+467,	0,		0,	
yycrank+-1808,	yysvec+157,	yyvstop+403,
yycrank+-468,	yysvec+157,	0,	
yycrank+-502,	yysvec+157,	0,	
yycrank+-1925,	yysvec+201,	yyvstop+405,
yycrank+-483,	yysvec+309,	0,	
yycrank+497,	0,		0,	
yycrank+-495,	yysvec+276,	0,	
yycrank+-497,	yysvec+314,	0,	
yycrank+-1979,	0,		0,	
yycrank+-503,	yysvec+157,	0,	
yycrank+-501,	yysvec+114,	0,	
yycrank+-1907,	yysvec+157,	yyvstop+408,
yycrank+-1953,	yysvec+201,	yyvstop+410,
yycrank+-510,	yysvec+201,	0,	
yycrank+-543,	yysvec+201,	0,	
yycrank+-507,	yysvec+325,	0,	
yycrank+-511,	yysvec+157,	0,	
yycrank+-517,	yysvec+157,	0,	
yycrank+-532,	yysvec+201,	0,	
yycrank+-530,	yysvec+114,	0,	
yycrank+-1951,	yysvec+201,	yyvstop+412,
yycrank+-533,	yysvec+114,	0,	
yycrank+-536,	yysvec+114,	0,	
yycrank+-543,	yysvec+201,	0,	
yycrank+-540,	yysvec+201,	0,	
0,	0,	0};
struct yywork *yytop = yycrank+2044;
struct yysvf *yybgin = yysvec+1;
unsigned char yymatch[] = {
00  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,012 ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,'"' ,01  ,01  ,01  ,01  ,047 ,
'(' ,'(' ,'*' ,01  ,'(' ,01  ,01  ,'/' ,
'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,
'0' ,'0' ,01  ,'(' ,01  ,'(' ,'>' ,01  ,
01  ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'(' ,01  ,'(' ,01  ,'A' ,
01  ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'(' ,01  ,'(' ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
0};
unsigned char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
/*
 * (c) Copyright 1990, OPEN SOFTWARE FOUNDATION, INC.
 * ALL RIGHTS RESERVED
 */
/*
 * OSF/1 Release 1.0
*/
/*
#
# IBM CONFIDENTIAL
# Copyright International Business Machines Corp. 1989
# Unpublished Work
# All Rights Reserved
# Licensed Material - Property of IBM
#
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
*/
/* @(#)ncform	1.3  com/lib/l,3.1,8951 9/7/89 18:48:47 */
int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
unsigned char yytext[YYLMAX];
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
unsigned char yysbuf[YYLMAX];
unsigned char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
yylook(){
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	unsigned char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
			*yylastch++ = yych = input();
            if (yylastch >= yytext + YYLMAX) {
                fprintf(yyout, "Maximum token length exceeded\n");
                yytext[YYLMAX] = 0;
                return 0;
            }
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( yyt > yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if(yyt < yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
                if (yyleng >= YYLMAX) {
                    fprintf(yyout, "Maximum token length exceeded\n");
                    yytext[YYLMAX] = 0;
                    return 0;
                }
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
yyback(p, m)
	int *p;
{
if (p==0) return(0);
while (*p)
	{
	if (*p++ == m)
		return(1);
	}
return(0);
}
	/* the following are only used in the lex library */
yyinput(){
	return(input());
	}
yyoutput(c)
  int c; {
	output(c);
	}
yyunput(c)
   int c; {
	unput(c);
	}
